Subject: bug#52063: 28.0.60; Confusing presentation of lambda

From: Jim Porter <[email-masked]>
Date: Wed, 24 Nov 2021 14:42:27 -0800

On 11/24/2021 2:33 PM, Jim Porter wrote:
> This is a contrived example, but similar sorts of things crop up in the 
> real world. If the above example were significantly more complex (e.g. 
> the `let' and the `add-hook' were in different functions), I might not 
> realize that `foo' was lexically-bound unless I looked at the value of 
> `prog-mode-hook' and saw the closure.

Sorry, this part isn't correct (at least, I don't think it is): "(e.g. 
the `let' and the `add-hook' were in different functions)". So just 
ignore that bit. :)

Nevertheless, it could be that the bound variables in a closure aren't 
what you'd expect, so I still think it's useful to see them somehow.